QGIS Application - Bug report #13763
QGIS crashes when doing a buffer with ftools
2015-11-05 02:33 AM - Admire Nyakudya

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 21789
Description

QGIS crashes on doing buffer on a polygon area that has been generated from open street map. The dataset has been extracted from the
QGIS training manual in section 7.2.10 . | have tested this on windows and ubuntu 15.04, ubuntu 15.10. The version of QGIS is 2.12 and
2.10.

Associated revisions

Revision 3bc3f52f - 2016-01-15 01:34 PM - Alexander Bruy

[processing] skip invalid geometries when buffering (fix #13763)

History

#1 - 2015-11-05 04:57 AM - Raymond Nijssen

While trying to replicate this bug some things were not clear to me. Paragraph 7.2.10 is describing an intersection and not a buffer. However, the previous
paragraphs are about buffering, and the intersection uses a buffer layer as input. Could you please provide:

- a zip file with the vector data you try to buffer

- the function and input parameters you are using

Thank you!

#2 - 2015-11-05 05:04 AM - Giovanni Manghi

- Target version changed from Version 2.12 to Future Release - High Priority
- Category changed from GUI to 44

- Status changed from Open to Feedback

#3 - 2015-11-05 06:19 AM - Admire Nyakudya
- File item.png added

- File image.png added
- File school.zip added

The section | was referencing is the one in section 7.2.9 of the training manual. | have attached the screenshots of the commands Running qgis in the

terminal results in a segmentation fault.

#4 - 2015-11-05 08:03 AM - Giovanni Manghi
- Subject changed from QGIS crash on opening dataset in training manual to QGIS crashes when doing a buffer with ftools
- Affected QGIS version changed from 2.12.0 to master

- OS version deleted (15.04 ,15.10 and windows 7,10)

- Operating System deleted (ubuntu and windows)

- Status changed from Feedback to Open

Confirmed here on master.

The appeared after 2.8.3 (not sure if in 2.10 or 2.12).

#5 - 2016-01-15 02:12 AM - Alexander Bruy
There is no crash on master 5f3ca88 with fTools and Processing. fTools generates empty output layer, Processing throws error.

It is necessary to mention that provided layer has 2 geometry errors, this may be a root of problem.

#6 - 2016-01-15 04:33 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"3bc3f52f0cf7aa587fa97818202ac6279db46843".

#7 - 2016-01-15 05:09 AM - Alexander Bruy
- Resolution set to fixed/implemented

#8 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
